namespace Syntriax.Engine.Core.Debug;

public interface ILogger
{
    static ILogger Shared { get; set; } = new ConsoleLogger();

    Level FilterLevel { get; set; }

    void Log(string message, Level level = Level.Info, bool force = false);

    enum Level
    {
        Trace,
        Info,
        Warning,
        Error,
    };
}
